Plantronics + Polycom. Now together as Poly Logo

IP550 - Issue with updating bootrom (4.0.0.0423)

SOLVED
Occasional Visitor

IP550 - Issue with updating bootrom (4.0.0.0423)

Our company purchase new phones last year but seems like we got really old version of Bootrom and application. Below are the current versions:

 

SIP / UC Software: 3.0.3.0401

BootRom: 4.0.0.0423

 

This phone is not provisioning with our FreePBX server and gives error "Bootrom has changed, Error 0x0". I've tried to update using latest updater 4.4.0B but it gives the same error on the phone. I've 4.4.0B along with various versions of UC Software like 4.1.0, 4.0.1, 3.5.0 and even 3.1.0. None of the combinations worked.

 

Am I using the right upgrader? Or, is there a different upgrader that I need to use the Bootrom.

 

Thanks in advance.

Message 1 of 9
8 REPLIES 8
Polycom Employee & Community Manager

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Hello ferrarifire,

welcome to the Polycom Community.

 

A simple question to start with would be what kind of Phones you are having this issue with.

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 2 of 9
Occasional Visitor

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Sorry, I forgot to include this. These are IP550.

Message 3 of 9
Polycom Employee & Community Manager

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Hello ferrarifire,

 

I am unsure how the FreePBX handles the upgrade but in order to update to UCS 4.0.0 or later you will need the UCS files and the Updater/Upgrader together in one directory.

 

I would suggest you setup a local FTP server and try this again. That will also enable the phone to upload it's log files (allow append!) so you can study these in order to troubleshoot.

 

I never upgraded from such an old build and would not expect any issues but you may want to install an interim update like UCS 3.3.0 and BootROM 4.3.1 first and then follow the secondary update to UCS 4.0.4 assuming you want SIP only.

 

Best Regards

 

Steffen Baier




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 4 of 9
Highlighted
Occasional Visitor

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Hello Steffen,

 

You are right, FreePBX is unable to upgrade this firmware. I am trying to upgrade this by setting up different TFTP server (and saving UCS files and upgrader files in one folder, and then configuring phone to use this TFTP server).

 

The probelm is, when I use Upgrader 4.4.0B (with bootrom.ld and <model>.bootrom.ld files in the folder along with UC software 3.1.2 (combined), the phone gives Bootrom Error 0x0. This i believe is becuase of phone not working with 4.4.0B upgrader.

 

I see that you've asked me to use 4.3.1 upgrader but I am unable to see a link for downloading it. Can you please provide one?

 

Thank You

Message 5 of 9
Polycom Employee & Community Manager

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Hello ferrarifire,

 

using the upgrader which was introduced in UCS 4.0.0 you need the Upgrader and the UCS files 4.0.0 or greater.

 

This is all explained in this FAQ post here:

 

Oct 7, 2011 Question: How can I setup my Phone / Provisioning / Download / Upgrade / Update / Downgrade Software?
Resolution: Please check => here <=

 

What you are trying is using the upgrader with an old SIP software, in your case 3.1.2, which is not an UCS software and is actually a older named SIP Software.

 

Please check above linked post as this explains everything in detail including how to setup the FTP server.

 

Example files:

 


 

Above is only an example as you should use UCS 4.0.4

 

If you are still unable to upgrade please contact your Polycom reseller and/or Polycom support.

 

Best Regards

 

Steffen Baier




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 6 of 9
Occasional Visitor

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Hello Steffen,

 

I have tried this before even creating this thread. The only deviation in the steps provided is that I am using TFTP server instead of FTP server.

 

Regardless of the UCS or the SIP version that I am using, the bootrom.ld files present in 4.4.0B upgrade gives the 0x0 error on phone.

 

Is there a different upgrader that I can download and try? No SIP/USC is working for me starting 3.0.4 to 4.1.0 with the 4.4.0B upgrader.

 

I am also working with the reseller, they have pretty much same instructions. I am requesting a different upgrader than 4.4.0B.

 

I'll appreciate if the link to download a different version of upgrader can be provided.

 

Thanks again for the help.

Message 7 of 9
Polycom Employee & Community Manager

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

Hello ferrarifire,

 

just to hopefully make it clear for the last time.

 

  • You cannot use the Upgrader with any SIP 3.0.x Software
  • You cannot use the Upgrader with any SIP 3.1.x Software
  • You cannot use the Upgrader with any SIP 3.2.xSoftware
  • You cannot use the Upgrader with any UCS 3.3.0 Software
  • You can only use the Upgrader with any UCS 4.0.0 or later Software

Please try the interim step I already suggested as follows:

 

  • Do not use any Upgrader
  • Do use the BootROM 4.3.0 which can be found => here <=
  • Do use the UCS 3.3.3 which can be found => here <= 

Once the phone is running UCS 3.3.3 and BootROM 4.3.0 please attempt to upgrade to UCS 4.0.4

 

  • Do not use any BootROM
  • Do use the Upgrader 4.4.0 which can be found => here <=
  • Do use the UCS 4.0.4 which can be found => here <=

If TFTP fails please try FTP.

 

if both fail please ensure to provide your app and boot log file to your Polycom reseller and/or Polycom support.

 

Best Regards

 

Steffen Baier

 




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 8 of 9
Occasional Visitor

Re: Issue with using 4.4.0B updater with bootrom 4.0.0.0423

 

Just adding a final comment to this issue, so it may help others.

 

What worked:

 

1. Saving the unzipped files (bootrom and UCS) in the FTP folder. For some reason TFTP did not work correctly. Used the FTP server as mentioned in the FAQ instructions.

 

2. After downloading the bootrom.ld file, the phone gave the error like "cannot contact the bootrom server". For this, I changed the phones network setting from DHCP to Static IP. This is also mentioned in one of the FAQs.

 

3. Once the phone updated itself (reboots several times), updated the FreePBX server information in Settings >> Advance ..>> Admin Settings >> Network configuration >> Server

 

Thanks to Steffen for help.

Message 9 of 9